aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gmail.com>2011-07-21 03:56:19 -0400
committerAlexandre Rostovtsev <tetromino@gmail.com>2011-07-21 03:56:19 -0400
commit16a40171cd53762dc24394145de2c88ed78bb7c5 (patch)
treec24ad2c62d4d74f4e32156dcb61f0ca856eea65a /x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild
parentmedia-libs/cogl: 1.7.2 → 1.7.4 + clutter patches (diff)
downloadgnome-16a40171cd53762dc24394145de2c88ed78bb7c5.tar.gz
gnome-16a40171cd53762dc24394145de2c88ed78bb7c5.tar.bz2
gnome-16a40171cd53762dc24394145de2c88ed78bb7c5.zip
x11-themes/gtk-engines-unico: new package
New package; Ubuntu's unico gtk+-3 engine is used by several popular third-party themes (e.g. Zukitwo). Thanks to Anorick for submitting the 0.1.0_p74 ebuild in #gentoo-desktop.
Diffstat (limited to 'x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild')
-rw-r--r--x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild72
1 files changed, 72 insertions, 0 deletions
diff --git a/x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild b/x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild
new file mode 100644
index 00000000..db88aa10
--- /dev/null
+++ b/x11-themes/gtk-engines-unico/gtk-engines-unico-9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+if [[ ${PV} = 9999 ]]; then
+ EBZR_REPO_URI="lp:unico"
+ GCONF_DEBUG="no"
+ inherit bzr gnome2-live # need gnome2-live for generating the build system
+fi
+
+MY_PN=${PN/gtk-engines-}
+MY_PV=${PV/_p/+r}
+
+DESCRIPTION="Unico Gtk+ 3 theme engine"
+HOMEPAGE="https://launchpad.net/unico"
+if [[ ${PV} = 9999 ]]; then
+ EBZR_REPO_URI='lp:unico'
+ SRC_URI=
+ S="${WORKDIR}/${P}"
+else
+ SRC_URI="https://launchpad.net/ubuntu/oneiric/+source/gtk3-engines-unico/${MY_PV}-0ubuntu1/+files/gtk3-engines-unico_${MY_PV}.orig.tar.gz"
+ S="${WORKDIR}/${MY_PN}-${MY_PV}"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND=">=dev-libs/glib-2.26.0:2
+ >=x11-libs/cairo-1.10[glib]
+ >=x11-libs/gtk+-3.1.6:3"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+pkg_setup() {
+ DOCS="AUTHORS TODO" # ChangeLog, NEWS, README are empty
+}
+
+src_unpack() {
+ if [[ ${PV} = 9999 ]]; then
+ bzr_src_unpack
+ else
+ default
+ fi
+}
+
+src_prepare() {
+ if [[ ${PV} = 9999 ]]; then
+ gnome2-live_src_prepare
+ else
+ default
+ fi
+}
+
+src_configure() {
+ # currently, the only effect of --enable-debug is to add -g to CFLAGS
+ econf \
+ --disable-debug \
+ --disable-maintainer-flags \
+ --disable-static
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+}